POST api/batchapi/add/enddryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "c93220ff-cc97-4754-a417-ed282ed1e4bf",
"batch_id": "5e87b50c-1573-4e1f-a9d4-c4f71e6906a7",
"medistream_id": "1e875902-07e1-415a-b6c6-f3e01d0f5807",
"witness_id": "e85c6727-e7a6-4a42-b335-6fb148ab3026",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-09-26T16:30:31.196355+00:00",
"stop_time": "2026-09-26T16:30:31.196355+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>5e87b50c-1573-4e1f-a9d4-c4f71e6906a7</batch_id> <compartment>1</compartment> <id>c93220ff-cc97-4754-a417-ed282ed1e4bf</id> <medistream_id>1e875902-07e1-415a-b6c6-f3e01d0f5807</medistream_id> <start_time>2026-09-26T16:30:31.196355+00:00</start_time> <stop_time>2026-09-26T16:30:31.196355+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>e85c6727-e7a6-4a42-b335-6fb148ab3026</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"6a6fb14d-9c88-494b-bb32-7cff498c7087"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">6a6fb14d-9c88-494b-bb32-7cff498c7087</guid>